package com.joyful.euphoria.board.utils;

import android.content.Context;
import android.content.res.TypedArray;
import android.util.AttributeSet;
import android.widget.TextView;

import androidx.annotation.Nullable;

import com.joyful.euphoria.board.EuphoriaBoard;
import com.joyful.euphoria.board.R;


public class CustomUtils extends androidx.appcompat.widget.AppCompatTextView {


    public CustomUtils(Context context, @Nullable AttributeSet attrs) {
        super(context, attrs);
        initAttrs(context,attrs);
    }


    private void initAttrs(Context context, AttributeSet attrs){
        TypedArray typedArray = context.obtainStyledAttributes(attrs, R.styleable.MyTV);
        boolean aBoolean = typedArray.getBoolean(R.styleable.MyTV_apply_font,false);
        if(aBoolean){
             initFont(this);
        }

        typedArray.recycle();
    }

    public static void initFont(TextView tv) {
        tv.setTypeface(EuphoriaBoard.Companion.getDefaultFont());
    }

}
